Loading...
Searching...
No Matches
DB_ElementList Struct Reference

this class provides a primitive interface for handling a list of flat DICOM elements, similar to DcmItem, but only for use within the database module More...

## Public Member Functions

| DB_ElementList ()
| default constructor

## Public Attributes

DB_SmallDcmElmt | elem
| current list element
struct DB_ElementList * | next
| pointer to next in list
OFoptional< OFString > | utf8Value
| UTF-8 cache.

## Private Member Functions

| DB_ElementList (const DB_ElementList &copy)
| private undefined copy constructor
DB_ElementList & | operator= (const DB_ElementList &copy)
| private undefined copy assignment operator

## Detailed Description

this class provides a primitive interface for handling a list of flat DICOM elements, similar to DcmItem, but only for use within the database module

## Constructor & Destructor Documentation

## DB_ElementList()

DB_ElementList::DB_ElementList | ( | const DB_ElementList & | copy | ) |

private

private undefined copy constructor

Parameters

  copy | documented to avoid doxygen warning

References DB_ElementList().

## Member Function Documentation

## operator=()

DB_ElementList & DB_ElementList::operator= | ( | const DB_ElementList & | copy | ) |

private

private undefined copy assignment operator

Parameters

  copy | documented to avoid doxygen warning

References DB_ElementList().

The documentation for this struct was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqridx.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0